/* To learn more about Typescript configuration file: https://www.typescriptlang.org/docs/handbook/tsconfig-json.html. */
/* To learn more about Angular compiler options: https://angular.dev/reference/configs/angular-compiler-options. */
{
  "compileOnSave": false,
  "compilerOptions": {
    "outDir": "./dist/out-tsc",
    "strict": true,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "skipLibCheck": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "moduleResolution": "bundler",
    "paths": {
      "auth-client": [
        "./dist/auth-client"
      ],
      "hcl-studio": [
        "./dist/hcl-studio"
      ],
      "ui-design-system": [
        "./dist/ui-design-system"
      ],
      "ui-accessibility": [
        "./dist/ui-accessibility"
      ],
      "ui-animations": [
        "./dist/ui-animations"
      ],
      "ui-backgrounds": [
        "./dist/ui-backgrounds"
      ],
      "ui-code-display": [
        "./dist/ui-code-display"
      ],
      "ui-data-utils": [
        "./dist/ui-data-utils"
      ],
      "shared-utils": [
        "./dist/shared-utils"
      ],
      "ui-essentials": [
        "./dist/ui-essentials"
      ],
      "ui-font-manager": [
        "./dist/ui-font-manager"
      ],
      "ui-landing-pages": [
        "./dist/ui-landing-pages"
      ]
    },
    "importHelpers": true,
    "target": "ES2022",
    "module": "ES2022"
  },
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  },
  "references": [
    {
      "path": "./projects/auth-client/tsconfig.lib.json"
    },
    {
      "path": "./projects/auth-client/tsconfig.spec.json"
    }
  ]
}
